Bug 1257490 - Openshift v3 can not customize the "look and feel" of the UI.
Openshift v3 can not customize the "look and feel" of the UI.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
3.0.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Samuel Padgett
Yanping Zhang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 04:04 EDT by jooho lee
Modified: 2015-11-23 09:26 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 09:26:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Origin (Github) 3494 None None None Never
Origin (Github) 4617 None None None Never

  None (edit)
Description jooho lee 2015-08-27 04:04:30 EDT
Description of problem:
Openshift v2 has provided the "capability"[1] to alter the configuration of the console through CSS change,but openshift v3 do not have this feature.

Client want to change logo of web console at the moment.


[1]https://access.redhat.com/solutions/762023
Comment 2 Jessica Forrester 2015-08-28 09:05:23 EDT
This is an RFE for a feature we are working on, see https://trello.com/c/Q9YzeulO and https://github.com/openshift/origin/issues/4148
Comment 6 Jordan Liggitt 2015-08-28 13:56:36 EDT
login page customization will be a separate template file that can be specified. that work is not in progress yet.
Comment 7 Eric Rich 2015-08-28 14:43:31 EDT
(In reply to Jordan Liggitt from comment #6)
> login page customization will be a separate template file that can be
> specified. that work is not in progress yet.

What are the trackers for the login page?
Comment 8 Samuel Padgett 2015-09-04 11:09:14 EDT
Here are the changes in origin for customization.

Load any CSS and JavaScript on Web Console load:
https://github.com/openshift/origin/pull/3699

Change the OpenShift logo in the banner using CSS:
https://github.com/openshift/origin/pull/4454

Customize the login page from a template:
https://github.com/openshift/origin/pull/4465
Comment 17 Brenton Leanhardt 2015-11-23 09:26:36 EST
This fix is available in OpenShift Enterprise 3.1.

Note You need to log in before you can comment on or make changes to this bug.